import { Prisma } from "@prisma/client";

export const members: Prisma.MemberCreateInput[] = [
  {
    name: "Emma Thompson",
    email: "emma.thompson@example.com",
    joinDate: new Date("2021-03-15"),
  },
  {
    name: "Michael Smith",
    email: "michael.smith@example.com",
    joinDate: new Date("2021-07-22"),
  },
  {
    name: "Sophia Martinez",
    email: "sophia.martinez@example.com",
    joinDate: new Date("2022-05-30"),
  },
  {
    name: "Liam Johnson",
    email: "liam.johnson@example.com",
    joinDate: new Date("2022-11-10"),
  },
];

export const books: Prisma.BookCreateInput[] = [
  {
    title: "To Kill a Mockingbird",
    author: "Harper Lee",
    publicationYear: 1960,
    pages: 281,
  },
  { title: "1984", author: "George Orwell", publicationYear: 1949, pages: 328 },
  {
    title: "The Great Gatsby",
    author: "F. Scott Fitzgerald",
    publicationYear: 1925,
    pages: 208,
  },
  {
    title: "Pride and Prejudice",
    author: "Jane Austen",
    publicationYear: 1813,
    pages: 279,
  },
  {
    title: "The Catcher in the Rye",
    author: "J.D. Salinger",
    publicationYear: 1951,
    pages: 234,
  },
  {
    title: "The Hobbit",
    author: "J.R.R. Tolkien",
    publicationYear: 1937,
    pages: 310,
  },
  {
    title: "The Diary of a Young Girl",
    author: "Anne Frank",
    publicationYear: 1947,
    pages: 283,
  },
  {
    title: "Harry Potter and the Sorcerer's Stone",
    author: "J.K. Rowling",
    publicationYear: 1997,
    pages: 309,
  },
  {
    title: "Life of Pi",
    author: "Yann Martel",
    publicationYear: 2001,
    pages: 331,
  },
  {
    title: "The Book Thief",
    author: "Markus Zusak",
    publicationYear: 2005,
    pages: 552,
  },
  {
    title: "The Alchemist",
    author: "Paulo Coelho",
    publicationYear: 1988,
    pages: 208,
  },
  {
    title: "The Lord of the Rings",
    author: "J.R.R. Tolkien",
    publicationYear: 1954,
    pages: 1178,
  },
  {
    title: "The Chronicles of Narnia",
    author: "C.S. Lewis",
    publicationYear: 1950,
    pages: 768,
  },
  {
    title: "Moby-Dick",
    author: "Herman Melville",
    publicationYear: 1851,
    pages: 720,
  },
  {
    title: "War and Peace",
    author: "Leo Tolstoy",
    publicationYear: 1869,
    pages: 1225,
  },
  {
    title: "Don Quixote",
    author: "Miguel de Cervantes",
    publicationYear: 1605,
    pages: 863,
  },
  {
    title: "The Divine Comedy",
    author: "Dante Alighieri",
    publicationYear: 1320,
    pages: 432,
  },
  {
    title: "Great Expectations",
    author: "Charles Dickens",
    publicationYear: 1861,
    pages: 544,
  },
  {
    title: "Ulysses",
    author: "James Joyce",
    publicationYear: 1922,
    pages: 730,
  },
  { title: "The Odyssey", author: "Homer", publicationYear: -800, pages: 541 },
];

export const loans = [
  {
    bookId: 1,
    memberId: 1,
    loanDate: new Date("2023-01-15"),
    returnDate: new Date("2023-02-14"),
  },
  {
    bookId: 2,
    memberId: 2,
    loanDate: new Date("2023-02-01"),
    returnDate: undefined,
  },
  {
    bookId: 3,
    memberId: 3,
    loanDate: new Date("2023-03-12"),
    returnDate: new Date("2023-04-01"),
  },
  {
    bookId: 4,
    memberId: 1,
    loanDate: new Date("2023-03-20"),
    returnDate: undefined,
  },
  {
    bookId: 5,
    memberId: 4,
    loanDate: new Date("2023-01-25"),
    returnDate: new Date("2023-02-25"),
  },
  {
    bookId: 6,
    memberId: 2,
    loanDate: new Date("2023-02-15"),
    returnDate: new Date("2023-03-17"),
  },
  {
    bookId: 7,
    memberId: 3,
    loanDate: new Date("2023-04-05"),
    returnDate: undefined,
  },
  {
    bookId: 8,
    memberId: 4,
    loanDate: new Date("2023-01-10"),
    returnDate: new Date("2023-01-24"),
  },
  {
    bookId: 9,
    memberId: 1,
    loanDate: new Date("2023-03-22"),
    returnDate: undefined,
  },
  {
    bookId: 10,
    memberId: 2,
    loanDate: new Date("2023-02-20"),
    returnDate: new Date("2023-03-22"),
  },
];
