import { PrismaClient } from "@prisma/client";
import { books, members, loans } from "./data";
const prisma = new PrismaClient();

const seed = async () => {
  console.log(`Start seeding ...`);

  for (const m of members) {
    const member = await prisma.member.create({
      data: m,
    });
    console.log(`Created member with email: ${member.email}`);
  }

  for (const b of books) {
    const book = await prisma.book.create({
      data: b,
    });
    console.log(`Created book with title: ${book.title}`);
  }

  for (const l of loans) {
    const loan = await prisma.loan.create({
      data: l,
    });
    console.log(`Created loan with id: ${loan.id}`);
  }

  console.log(`Seeding finished.`);
};

seed()
  .then(async () => {
    await prisma.$disconnect();
  })
  .catch(async (e) => {
    console.error(e);
    await prisma.$disconnect();
    process.exit(1);
  });
